POST /order/remove/{orderNumber}

Mark an order as DISAPPEARED (removed externally). Use this if the order was cancelled in your shop and should no longer be tracked by Komfortkasse.

Difference vs cancel: remove means the order has vanished from your shop (sets paymentStatus to DISAPPEARED), while cancel means the order was explicitly cancelled (sets paymentStatus to CANCELLED). Both stop reminders, but they are distinct payment statuses.

Path parameters

  • orderNumber string Required

    Order number (unique per shop).

Query parameters

  • includePostings boolean

    Set to true to include the list of Postings in the response.

    Default value is false.

  • includeCollectionHistory boolean

    Set to true to include the list of collection events in the response.

    Default value is false.

  • includePaymentReminders boolean

    Set to true to include the list of payment reminders in the response.

    Default value is false.

  • includeRefunds boolean

    Set to true to include the list of refunds in the response.

    Default value is false.

Responses

  • 200 application/json

    Order marked as removed.

    Hide response attributes Show response attributes object
    • date string Required

      Order date, the date the customer placed the order. Format: dd-MM-yyyy.

    • dueDate string

      Date on which the amount is due to pay (e.g., shipping date for INVOICE orders). Format: dd-MM-yyyy.

    • customerEmail string

      Email address of customer. Optional, but obviously needed if you want Komfortkasse to send payment information or reminders.

    • customerNumber string

      Customer number (if the customer has a classic customer number plus a username from a marketplace such as eBay, concat these numbers/usernames with a '/').

    • type string Required

      Order payment type:

      • INVOICE — invoice (German: Rechnung)
      • PREPAYMENT — prepayment (German: Vorkasse)
      • COD — cash on delivery (German: Nachnahme)
      • OTHER — other payment type (will not be managed by Komfortkasse) — normally not needed

      Values are INVOICE, PREPAYMENT, COD, or OTHER.

    • marketplaceNumber string

      Additional order number from a 3rd party marketplace e.g. ebay.

    • paymentMethod string

      Technical string or id of the payment method in your shop. For information only.

    • paymentMethodDescription string

      Readable description or name of your payment method. For information only.

    • statusDescription string

      String or id representing the order status in your shop. For information only.

    • amount number Required

      Total order amount including all taxes, shipping, etc. This is the amount you expect to be paid. Format: 0.00.

    • currency string Required

      Currency of the order (ISO 4217).

    • exchangeRate number

      Exchange rate, only needed if the order is in a currency where you don't have a Komfortkasse account.

    • language string

      Customer's order language (ISO format). Komfortkasse will send out emails to your customer in this language (if supported).

    • itemNumbers array[string] Deprecated

      DEPRECATED, use items.

    • items array[object]

      List of item numbers and names. Item numbers will be used for payment matching.

      Hide items attributes Show items attributes object

      Single item in an order.

      • number string Required

        Item number. Used for payment matching.

      • name string

        Item name.

    • invoiceNumbers array[string]

      List of invoice numbers. Will be used for payment matching.

    • shippingNumbers array[string]

      List of shipping (tracking) numbers. Will be used for payment matching. Highly recommended if using Komfortkasse for COD.

    • proformaNumbers array[string]

      List of proforma invoice numbers. Will be used for payment matching. Can also be used for other informational numbers like proposal numbers, confirmation numbers, etc.

    • billing object Required

      Billing (invoice) address (primary address).

      Hide billing attributes Show billing attributes object
      • gender string

        Values are male, female, company, or unknown.

      • firstName string

        First name (given name).

      • lastName string Required

        Last name (surname). Required if company is not set.

      • company string Required

        Company name. Required if lastName is not set.

      • street string

        Street address.

      • postCode string

        Post code (zip code).

      • city string

        City name.

      • countryCode string Required

        2-letter ISO country code.

      • phone string

        Optional phone number.

    • shipping object

      Shipping address (secondary address). Optional if same as billing address.

      Hide shipping attributes Show shipping attributes object
      • gender string

        Values are male, female, company, or unknown.

      • firstName string

        First name (given name).

      • lastName string Required

        Last name (surname). Required if company is not set.

      • company string Required

        Company name. Required if lastName is not set.

      • street string

        Street address.

      • postCode string

        Post code (zip code).

      • city string

        City name.

      • countryCode string Required

        2-letter ISO country code.

      • phone string

        Optional phone number.

    • initialDunningLevel integer

      Initial dunning level when creating an order (can only be used when creating a new order).

    • stopReminder boolean

      True if no automatic payment reminders should be sent for this order.

    • number string Required

      Order number, must be unique per shop.

    • paymentStatus string

      Payment status. Read-only.

      Values are UNPAID, PAID, PAID_PARTIAL, CANCELLED, REFUNDED, REFUNDED_PARTIAL, LEGACY, DISAPPEARED, or COLLECTION.

    • referenceNumber string

      Reference number used as payment reference (only available when payment information is sent by Komfortkasse). Read-only.

    • bankAccount object

      Bank account which should be used for payment. Read-only.

      Hide bankAccount attributes Show bankAccount attributes object
      • accountNumber string

        Account number (use only for non-SEPA payments, e.g. in Switzerland).

      • bankCode string

        Bank code (Bankleitzahl, Bankclearing-Nummer). Use only for non-SEPA payments, e.g. in Switzerland.

      • iban string

        IBAN.

      • bic string

        BIC.

      • bankName string

        Name of the Bank.

      • remittee string

        Remittee/beneficiary name.

    • dunningLevel integer

      Dunning level or number of payment reminders sent (0 when no payment reminder has been sent). Read-only.

    • amountPaid number

      Amount that has been paid (only set when paymentStatus is not UNPAID) — this is the total amount paid, i.e. the sum of all postings minus the sum of all refunds. Read-only. Format: 0.00.

    • postings array[object]

      List of Postings assigned to this order (only if parameter includePostings is given). Read-only.

      Hide postings attributes Show postings attributes object

      A bank posting / payment.

      • id string

        Unique ID (given by Komfortkasse).

      • amount number

        Amount of the posting. Format: 0.00.

      • currency string

        Currency of the posting.

      • postingDate string

        Date (booking date) of the posting.

      • valuationDate string

        Valuation date of the posting.

      • originator string

        Originator/counterparty name.

      • reference string

        Reference number.

      • text string

        Text (payment reference).

    • collectionPartner string

      Name of the collection agency (only if collection is active). Read-only.

    • collectionFile string

      File number at the collection agency (only if collection is active). Read-only.

    • collectionStatus string

      Status of the collection (only if collection is active). Read-only.

    • collectionHistory array[object]

      List of collection events (only if collection is active and parameter includeCollectionHistory is given). Read-only.

      Hide collectionHistory attributes Show collectionHistory attributes object

      Single collection event entry.

      • timestamp string

        Timestamp of the event.

      • description string

        Description of the event.

    • paymentReminders array[object]

      List of payment reminders (only if parameter includePaymentReminders is given). Read-only.

      Hide paymentReminders attributes Show paymentReminders attributes object

      Single payment reminder entry.

      • date string

        Date the reminder was sent.

      • dunningLevel integer

        Dunning level for this payment reminder.

      • reminderFee number

        Reminder fee for this payment reminder (not cumulated). Format: 0.00.

      • email boolean

        True if reminder was sent by email.

      • letter boolean

        True if reminder was sent by letter.

    • refunds array[object]

      List of refunds (only if parameter includeRefunds is given). Read-only.

      Hide refunds attributes Show refunds attributes object
      • externalReference string Required

        Reference given by you.

      • amount number Required

        Refund amount. Format: 0.00.

      • currency string Required

        Refund currency.

      • plannedDate string Required

        Planned date (date when the bank transfer should be initiated — can be delayed for technical or other reasons, e.g. waiting for bank details).

      • id string

        Unique ID (given by Komfortkasse).

      • executionDate string

        Date when bank transfer has been executed (null if not yet processed).

      • referenceNumber string

        Reference given by Komfortkasse (typically starts with 'KKBT').

      • status string

        Refund status (read only):

        • NEW — will be transferred to bank if plannedDate is reached
        • BANKDETAILS_MISSING — waiting for bank details from customer
        • IN_PROCESS — being processed
        • PROCESSED — processed by bank
        • RETURNED — returned to original account
        • ERROR — error
        • CANCELLED — manually cancelled before executed
        • LEGACY — old bank transfer, will not be processed

        See also Detail view refunds for a longer explanation of each status.

        Values are NEW, BANKDETAILS_MISSING, IN_PROCESS, PROCESSED, RETURNED, ERROR, CANCELLED, or LEGACY.

    • hasBankDetailsForRefund boolean

      True if bank details for a refund are available (only set when parameter includePostings is given). Read-only.

  • 400 application/json

    Invalid request — for example missing required fields or wrong format.

    Hide response attribute Show response attribute object
    • error string Required

      Error message.

  • 401 application/json

    Authentication failed — API key missing or invalid.

    Hide response attribute Show response attribute object
    • error string Required

      Error message.

  • 404 application/json

    Resource not found (e.g. unknown order number).

    Hide response attribute Show response attribute object
    • error string Required

      Error message.

POST /order/remove/{orderNumber}
curl \
 --request POST 'https://ssl.komfortkasse.eu/api/v2/order/remove/123456' \
 --header "X-Komfortkasse-API-Key: $API_KEY"
Response examples (200)
{
  "date": "25-04-2018",
  "customerEmail": "max@example.org",
  "customerNumber": "7890",
  "type": "INVOICE",
  "paymentMethod": "banktransfer",
  "paymentMethodDescription": "Payment by Invoice",
  "statusDescription": "shipped",
  "amount": 22.38,
  "currency": "EUR",
  "exchangeRate": 1.0,
  "language": "de",
  "items": [
    {
      "number": "1826353",
      "name": "T-Shirt"
    },
    {
      "number": "7633-black",
      "name": "Jeans black"
    }
  ],
  "invoiceNumbers": [
    "100072533"
  ],
  "shippingNumbers": [
    "897126743438923093287376"
  ],
  "billing": {
    "gender": "male",
    "firstName": "Max",
    "lastName": "Mustermann",
    "street": "Bahnhofstr. 14",
    "postCode": "63073",
    "city": "Offenbach am Main",
    "countryCode": "DE",
    "phone": "+49 8033 603 9778"
  },
  "shipping": {
    "gender": "company",
    "company": "Mustermann GmbH",
    "street": "Industriestr. 33",
    "postCode": "63073",
    "city": "Offenbach am Main",
    "countryCode": "DE"
  },
  "number": "123456",
  "referenceNumber": "K1234A",
  "paymentStatus": "UNPAID"
}
Response examples (400)
{
  "error": "Invalid request"
}
Response examples (401)
{
  "error": "API Key missing"
}
Response examples (404)
{
  "error": "Order not found"
}